List custom tools
GET
The workspace's custom skills and MCP servers with their safety-scan status, plus the catalog of built-in capabilities. Pass repository_id to also include that project's own tools (404 if the repository is not in this workspace). Requires the coding:tools:read scope.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
customer_id?|nullrepository_id?|nullRequest fulfilled, document follows
application/json- response
builtin_capabilities*array<>tools*array<>curl -X GET 'https://api.syndai.ai/api/v1/external/coding/tools'Example Response
{ "builtin_capabilities": [ { "capability_id": "string", "summary": "string" } ], "tools": [ { "auth_mode": "oauth", "auth_status": "pending", "config": {}, "description": "string", "description_hint": "string", "enabled": true, "has_token": true, "id": "string", "kind": "mcp_server", "name": "string", "not_ready_reason": "string", "oauth": { "connected_at": "string", "connected_by_left": true, "connected_by_name": "string", "issuer_host": "string", "redirect_uri": "string", "requested_scopes": [ "string" ], "scopes": [ "string" ] }, "repository_id": "string", "run_ready": true, "scan_reason": "string", "scan_status": "scanned", "scanned_at": "string" } ]}